package db

import (
	"context"
	"time"
	"youngee_b_api/model/gorm_model"

	log "github.com/sirupsen/logrus"
)

func AutoUpdateStatus() error {
	db := GetReadDB(context.Background())
	// 查询task表信息
	db = db.Debug().Model(gorm_model.ProjectInfo{}).
		Where("project_status = ? AND recruit_ddl < ?", 4, time.Now())
	err := db.Update("project_status", 6).Error
	if err != nil {
		log.Println("DB AutoUpdateStatus error :", err)
		return err
	}
	return nil
}

func AutoUpdateApplyTimes() error {
	db := GetReadDB(context.Background())
	// 查询task表信息
	db = db.Debug().Model(gorm_model.YoungeeTalentInfo{})
	err := db.Update("apply_num", 5).Error
	if err != nil {
		log.Println("DB AutoUpdateStatus error :", err)
		return err
	}
	return nil
}
