package service

import (
	"context"
	"github.com/sirupsen/logrus"
	"youngee_b_api/db"
	"youngee_b_api/model/http_model"
)

var Recruitstrategy *recruitstrategy

type recruitstrategy struct {
}

func (*recruitstrategy) RecruitStrategyNumberCalculate(ctx context.Context, recruitstrategy http_model.RecruitStrategyNumberCalculateRequest) error {
	AddSub := recruitstrategy.AddSub
	selected_number := recruitstrategy.SelectedNumber
	if AddSub {
		selected_number += 1
	} else {
		selected_number -= 1
	}
	err := db.CalculateSelectedNumberByRecruitStrategyID(ctx, recruitstrategy.RecruitStrategyID, selected_number)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[RecruitStrategy] call RecruitStrategyNumberCalculate error,err:%+v", err)
		return err
	}
	return nil
}
